net.sf.jasperreports.engine.export

## Class GenericElementReportTransformer

- java.lang.Object
- - net.sf.jasperreports.engine.export.GenericElementReportTransformer

-     public final class GenericElementReportTransformer
      extends java.lang.Object

  A utility class that applies `GenericElementTransformers` to a filled report.
  Version:
    $Id: GenericElementReportTransformer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `GenericElementTransformer`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `GenericElementReportTransformer.TransformerContext`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `transformElements(GenericElementReportTransformer.TransformerContext context, java.lang.String transformerExportKey, java.util.List<JRPrintElement> elements)`
    `static void` | `transformGenericElements(JasperPrint report, java.lang.String transformerExportKey)` Deprecated. Replaced by `transformGenericElements(JasperReportsContext, JasperPrint, String)`.
    `static void` | `transformGenericElements(JasperReportsContext jasperReportsContext, JasperPrint report, java.lang.String transformerExportKey)` Applies generic element transformers of a specific key to a filled report by replacing generic elements with the transformed elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### transformGenericElements

          public static void transformGenericElements(JasperPrint report,
                                      java.lang.String transformerExportKey)

      Deprecated. Replaced by `transformGenericElements(JasperReportsContext, JasperPrint, String)`.

    - #### transformGenericElements

          public static void transformGenericElements(JasperReportsContext jasperReportsContext,
                                      JasperPrint report,
                                      java.lang.String transformerExportKey)

      Applies generic element transformers of a specific key to a filled report by replacing generic elements with the transformed elements.
      Parameters:
        `report` - the report
        `transformerExportKey` - the key used to resolve element transformers
      See Also:
        `GenericElementTransformer`, `GenericElementHandlerBundle.getHandler(String, String)`

    - #### transformElements

          protected static void transformElements(GenericElementReportTransformer.TransformerContext context,
                               java.lang.String transformerExportKey,
                               java.util.List<JRPrintElement> elements)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com